# X880_ReturnResult Class Reference

`#include <x880.h>`

Inheritance diagram for X880_ReturnResult:

List of all members.

## Public Types

enum | OptionalFields { e_result }

## Public Member Functions

| X880_ReturnResult (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

X880_InvokeId | m_invokeId
X880_ReturnResult_result | m_result

## Member Enumeration Documentation

enum X880_ReturnResult::OptionalFields

Enumerator:

  e_result |

## Constructor & Destructor Documentation

X880_ReturnResult::X880_ReturnResult | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX X880_ReturnResult::GetDataLength | ( |  | ) | const

PBoolean X880_ReturnResult::Decode | ( | PASN_Stream & | strm | ) |

void X880_ReturnResult::Encode | ( | PASN_Stream & | strm | ) | const

void X880_ReturnResult::PrintOn | ( | ostream & | strm | ) | const

Comparison X880_ReturnResult::Compare | ( | const PObject & | obj | ) | const

PObject* X880_ReturnResult::Clone | ( |  | ) | const

## Member Data Documentation

X880_InvokeId X880_ReturnResult::m_invokeId

X880_ReturnResult_result X880_ReturnResult::m_result

The documentation for this class was generated from the following file:

- x880.h